import request from "@/utils/request.js";

// 商户信息
export function getTechnician(data) {
    return request({
        method: 'get',
        url: '/technician/technician/getTechnician',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 切换上下班
export function switchToOffline(data) {
    return request({
        method: 'get',
        url: '/technician/technician/switchToOffline',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}

// 查询商户技能列表
export function getSkillList(data) {
    return request({
        method: 'post',
        url: '/technician/technician/getSkillList',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 查询商户合同记录
export function getContractRecords(data) {
    return request({
        method: 'get',
        url: '/technician/technician/getContractRecords',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 查询城市列表
export function getCityList(data) {
    return request({
        method: 'get',
        url: '/cityOperationApplication/getCityList',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 保存城市运营申请
export function saveCity(data) {
    return request({
        method: 'post',
        url: '/cityOperationApplication/saveCity',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 免车费设置
export function saveFareSetting(data) {
    return request({
        method: 'post',
        url: '/project/fare/setting/save',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 查询未申请列表
export function getNotApplyList(data) {
    return request({
        method: 'post',
        url: '/technician/technician/getNotApplyList',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 开通新服务
export function applyForService(data) {
    return request({
        method: 'post',
        url: '/technician/technician/applyForService',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 更新商户项目
export function updateMaProject(data) {
    return request({
        method: 'post',
        url: '/technician/technician/updateMaProject',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
// 重新申请开通
export function updateApply(data) {
    return request({
        method: 'post',
        url: '/technician/technician/updateApply',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}

// 查询待接单列表
export function getWaitList(data) {
    return request({
        method: 'post',
        url: '/technician/technician/wait/list',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}

// 查询我的评分列表
export function getCommentList(data) {
    return request({
        method: 'post',
        url: '/order/comment/merchant/my/page',
        data,
		header: {
		    'Authorization': `tf:${uni.getStorageSync('access-token')}`
		}
    });
}
